models/mapobjects/nateleaf1/tree2
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/nateleaf1/tree2.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

textures/common/caulk
{
	surfaceparm nodraw
        surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

models/mapobjects/defcon_tree/tree4
{
	cull none
	nopicmip
	surfaceparm lightfilter
	surfaceparm alphashadow

	{
		map models/mapobjects/defcon_tree/tree4.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/base_trim/pewter_shiney
{   
 
        {
                map textures/effects/tinfx.tga       
                tcgen environment
                rgbgen identity
	}   
        {
		map textures/base_trim/pewter_shiney.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	} 
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

models/mapobjects/gratelamp/gratetorch2b
{
    cull disable
    
        {
                map models/mapobjects/gratelamp/gratetorch2b.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }


}

textures/sfx/flame2
{
		surfaceparm nomarks
		surfaceparm nolightmap
		cull none
		q3map_surfacelight 5500
		qer_editorimage textures/sfx/flame2.tga

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	

	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/lundesert/grass1
{
 	surfaceparm nolightmap
 	surfaceparm nonsolid
 	surfaceparm trans
 	surfaceparm nomarks
 	surfaceparm noimpact
 	cull disable
 	{
 		map textures/lundesert/grass1.tga
 		rgbgen vertex
 		alphafunc ge128
 		blendfunc gl_one gl_zero
 	}
 	{
 		map $lightmap
 		rgbgen identity
 		blendfunc gl_dst_color gl_zero
 		depthfunc equal
 	}
 }

models/mapobjects/ut-lights/candlelight
{
	q3map_lightimage models/mapobjects/ut-lights/candlelight.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		map models/mapobjects/ut-lights/candlelight.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .3 .1 0 .3	
	}
}

models/mapobjects/lamps/flare
{
	deformvertexes autosprite
	surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 13
	
	{
		map models/mapobjects/ut-lights/flare.tga
		blendfunc gl_one gl_one
	}
        {
		map models/mapobjects/ut-lights/flare.jpg
		blendfunc add
		rgbgen wave sawtooth .1 .1 0 3
	}	
	
}

textures/q3ut_siuxg2/skies/env/siux_sky02
{
	qer_editorimage textures/q3ut_siuxg2/sky02_view.tga.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 100
	surfaceparm sky
	q3map_sun 227 237 254 100 35 50
	skyparms textures/q3ut_siuxg2/skies/env/siux_sky02 - -
}

textures/q3ut_siuxg2/flare003
{
    deformvertexes autosprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/q3ut_siuxg2/flare003.jpg
            blendfunc gl_one gl_one
          }
}

textures/q3ut_siuxg2/web
{
	qer_editorimage textures/q3ut_siuxg2/web.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nolightmap
	cull disable	
	{
		map textures/q3ut_siuxg2/web.tga
		blendfunc add
		rgbgen identity
	}
}

textures/q3ut_siuxg2/wood_trim
{
	qer_trans 0.40	
	surfaceparm alphashadow
	surfaceparm playerclip	
	nopicmip
	cull disable

	{
		map textures/q3ut_siuxg2/wood_trim.tga
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/q3ut_siuxg2/ice_edge2
{
	qer_editorimage textures/q3ut_siuxg2/ice_edge.tga
	surfaceparm nomarks
	surfaceparm trans
	cull disable	
	{
		map textures/q3ut_siuxg2/ice_edge.tga
		blendfunc add
		rgbgen identity
	}
}

textures/q3ut_siuxg2/ladderclip
{
	qer_editorimage textures/q3ut_siuxg2/utladder.tga
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/q3ut_siuxg2/liquids/poolfrozen
{
	qer_editorimage textures/liquids/pool3d_3e.tga
	qer_trans .8
	q3map_globaltexture
        surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformvertexes wave 64 sin .25 .25 0 .5	
	{ 
		map textures/q3ut_siuxg2/liquids/pool1.tga
		blendfunc gl_dst_color gl_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}

	{ 
		map textures/q3ut_siuxg2/liquids/pool2.tga
		blendfunc gl_dst_color gl_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}

	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity		
	}
}

